umbrello 25.08.1 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Properties | List of all members
org.kde.umbrello.unittests.codeimport.CsCodeExample.Person Class Reference
Inheritance diagram for org.kde.umbrello.unittests.codeimport.CsCodeExample.Person:

## Public Member Functions
override string | ToString ()

## Properties
string | FirstName`[get, set]`
string | LastName`[get, set]`
Sex | PersonSex`[get, set]`
Address | HomeAddress`[get, set]`
int | Age`[get]`
string | DisplayName`[get]`
Properties inherited from org.kde.umbrello.unittests.codeimport.CsCodeExample.Human
DateTime | BirthDate`[get, set]`

## Member Function Documentation

## ◆ ToString()

override string org.kde.umbrello.unittests.codeimport.CsCodeExample.Person.ToString | ( |  | ) |
| inline

## Property Documentation

## ◆ Age

int org.kde.umbrello.unittests.codeimport.CsCodeExample.Person.Age
| get

## ◆ DisplayName

string org.kde.umbrello.unittests.codeimport.CsCodeExample.Person.DisplayName
| get

## ◆ FirstName

string org.kde.umbrello.unittests.codeimport.CsCodeExample.Person.FirstName
| get set

## ◆ HomeAddress

Address org.kde.umbrello.unittests.codeimport.CsCodeExample.Person.HomeAddress
| get set

## ◆ LastName

string org.kde.umbrello.unittests.codeimport.CsCodeExample.Person.LastName
| get set

## ◆ PersonSex

Sex org.kde.umbrello.unittests.codeimport.CsCodeExample.Person.PersonSex
| get set

The documentation for this class was generated from the following file:

- test/import/csharp/CsCodeExample-ClassExample/Person.cs